/* 
   Find min/max values for 7x7 pixel window based on mosaic input
*/
void CLASS rgb_minmax()
{
  int row0, col0, row1, col1, row2, col2, row, col, indx0, c0, c;
  ushort v, vmin[3], vmax[3];
  if (verbose)
    fprintf(stderr,_("Find min/max values for 7x7 pixel neighbor..."));
  for (indx0=0, row0=0; row0 < height; row0++)
    for (col0=0; col0 < width; col0++, indx0++) {
      c0 = FC(row0,col0);
      vmin[0] = vmin[1] = vmin[2] = 65535;
      vmax[0] = vmax[1] = vmax[2] = 0;
      vmin[c0]= vmax[c0]= image[indx0][c0];
      row1 = MAX(0,row0-3);
      row2 = MIN(height,row0+4);
      col1 = MAX(0,col0-3);
      col2 = MIN(width,col0+4);
      for (row=row1; row < row2; row++)
	for (col=col1; col < col2; col++)
	  if ((c=FC(row,col)) != c0) {
	    v = image[row*width + col][c];
	    if (vmin[c] > v) vmin[c] = v;
	    if (vmax[c] < v) vmax[c] = v; }
      rgbmin[indx0][0] = vmin[0];
      rgbmin[indx0][1] = vmin[1];
      rgbmin[indx0][2] = vmin[2];
      rgbmax[indx0][0] = vmax[0];
      rgbmax[indx0][1] = vmax[1];
      rgbmax[indx0][2] = vmax[2];
    }
  if (verbose) fprintf(stderr,_("\n"));
}
